phoenix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Anil Gupta (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (PHOENIX-19) Enhance JDBC connection of Phoenix to support connecting to a Secure HBase cluster.
Date Sun, 04 May 2014 08:09:15 GMT

    [ https://issues.apache.org/jira/browse/PHOENIX-19?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13988939#comment-13988939
] 

Anil Gupta edited comment on PHOENIX-19 at 5/4/14 8:09 AM:
-----------------------------------------------------------

[~giacomotaylor] I have attached the latest patch for master-apache branch. I have tested
this patch connecting to my secure cluster.
I also tested this patch with HBase0.94.19 and the results were great because i didn't need
to modify the classpath. So, i highly recommend updating HBase dependency to HBase0.9.4.19.
If we don't update HBase, then users will need to tweak their classpath to run Phoenix with
a secure cluster. Tweaking classpath is not user friendly.

Also, with HBase0.94.19 dependency, i was able to use phoenix-client.jar to connect to a secure
cluster via Squirell.

Unfortunately, i was unable to run JUnit on my Mac because the JUnit gets stuck at this point:

Running org.apache.hadoop.hbase.index.covered.example.TestEndToEndCoveredIndexing
2014-05-04 00:43:24.902 java[35419:1003] Unable to load realm mapping info from SCDynamicStore

I tried to add realm and kdc properties but it didnt help me. Do you know the solution for
this? I request you to run the test once you apply the patch in your setup.
Please review the patch. Please refer to JUnits to know about newly added connection string
pattern.


was (Author: anilgupta84):
[~giacomotaylor] I have attached the latest patch for master-apache branch. I have tested
this patch connecting to my secure cluster.
I also tested this patch with HBase0.94.19 and the results were great because i didn't need
to modify the classpath. So, i highly recommend updating HBase dependency to HBase0.9.4.19.
If we don't update HBase, then users will need to tweak their classpath to run Phoenix with
a secure cluster. Tweaking classpath is not user friendly.

Unfortunately, i was unable to run JUnit on my Mac because the JUnit gets stuck at this point:

Running org.apache.hadoop.hbase.index.covered.example.TestEndToEndCoveredIndexing
2014-05-04 00:43:24.902 java[35419:1003] Unable to load realm mapping info from SCDynamicStore

I tried to add realm and kdc properties but it didnt help me. Do you know the solution for
this? I request you to run the test once you apply the patch in your setup.
Please review the patch. Please refer to JUnits to know about newly added connection string
pattern.

> Enhance JDBC connection of Phoenix to support connecting to a Secure HBase cluster.
> -----------------------------------------------------------------------------------
>
>                 Key: PHOENIX-19
>                 URL: https://issues.apache.org/jira/browse/PHOENIX-19
>             Project: Phoenix
>          Issue Type: Improvement
>    Affects Versions: 3.0.0
>            Reporter: Anil Gupta
>              Labels: hbase, jdbc, secure
>             Fix For: 3.0.0
>
>         Attachments: SecureClusterConnectTest.java, phoenix-19-master-apache.patch, phoenix-19.patch
>
>
> This is being moved from github https://github.com/forcedotcom/phoenix/issues/550 to
JIRA.
> As per my discussion with James Taylor over here https://groups.google.com/forum/#!searchin/phoenix-hbase-user/secure$20cluster/phoenix-hbase-user/XHg2wXK4Hqo/qVTm92WLxUkJ
> and some other email exchanges. This ticket is to enhance the JDBC driver of phoenix
so that user can pass keytab and principal to connect to a secure cluster.
> As per our discussion over email, could you please outline the changes required to make
this enhancement?



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message